// OutputController_ADLINK_ECAT.h: interface for the COutputController_ADLINK_ECAT class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "OutputControllerBase.h"

class COutputController_ADLINK_ECAT : public COutputControllerBase
{
public:
    COutputController_ADLINK_ECAT();
    virtual ~COutputController_ADLINK_ECAT();

    // method to initialise the output controller card
    int InitCard(int nHardwareIniTypeID, int nHardwareIniTypeCardNo, int& nPhysicalCardID) override;

    // method to close the output controller card
    int CloseCard(int nPhysicalCardID) override;
};
